mod pronouns;
mod protocol;
mod state;
mod tui;

fn main() {
    let mut siv = tui::make_cursive();
    let siv_backend = cursive::backends::try_default().unwrap();
    let mut siv_runner = siv.runner(siv_backend);
    siv_runner.refresh();

    while siv_runner.is_running() {
        siv_runner.step();

        let err = siv_runner.with_user_data(|state: &mut state::State| state.poll().err());

        if let Some(Some(err)) = err {
            let dialog = cursive::views::Dialog::info(format!("{:?}", err));
            siv_runner.add_layer(dialog);
        }
    }
}
